<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getFactionRep](./bitburner.singularity.getfactionrep.md)

## Singularity.getFactionRep() method

Get faction reputation.

**Signature:**

```typescript
getFactionRep(faction: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  faction | string | Name of faction to work for. |

**Returns:**

number

Amount of reputation you have for the specified faction.

## Remarks

RAM cost: 1 GB \* 16/4/1

This function returns the amount of reputation you have for the specified faction.

